var u = require('./util')

exports.help = `
Usage: git ssb fork [<upstream>] <remote_name>

  Create a new git-ssb repo as a fork of another repo
  and add it as a git remote

Arguments:
  upstream      id, url, or git remote name of the repo to fork.
                default: 'origin' or 'ssb'
  remote_name   Name for the new remote
`

exports.fn = function (argv) {
  if (argv._.length < 1 || argv._.length > 2) return u.help('fork')

  var repo
  if (argv._.length == 1) repo = u.getRemote()
  else if (argv._.length == 2) repo = u.getRemote(argv._.shift())
  if (!repo) throw 'unable to find git-ssb upstream repo'
  var name = argv._[0]
  if (!name) throw 'missing remote name'
  require('./create').createRepo(argv, name, null, repo)
}
